Nutanix AOS: 複数の脆弱性 (NXSA-AOS-5.17.1.5)

high Nessus プラグイン ID 164579

概要

Nutanix AOS ホストは、複数の脆弱性の影響を受けます。

説明

リモートホストにインストールされている AOS のバージョンは、5.17.1.5 より前です。したがって、NXSA-AOS-5.17.1.5 のアドバイザリに記載されている複数の脆弱性の影響を受けます。

- 4.14.11より前の Linux カーネルで問題が発見されました。二重解放は、kernel/trace/trace.cファイルのallocate_trace_buffer関数によって引き起こされる可能性があります。(CVE-2017-18595)

-Linuxカーネル5.4.0-rc2で、kernel/trace/blktrace.c内の__blk_add_trace関数(blk_io_trace構造体に入力し、cpuごとのサブバッファに配置するために使用される)にメモリ解放後使用(Use After Free)(読み取り)があります。(CVE-2019-19768)

- Linuxカーネルの5.7より前のバージョンのSELinuxサブシステムに、NULLポインターデリファレンスの欠陥が見つかりました。
この欠陥は、「ebitmap_netlbl_import」ルーチンを通じて商用IPセキュリティオプション(CIPSO)プロトコルのカテゴリビットマップをSELinux拡張可能ビットマップにインポートする際に発生します。「cipso_v4_parsetag_rbm」ルーチンでCIPSO制限ビットマップタグを処理する際に、割り当てられていない場合でも、カテゴリビットマップが存在していることを示すセキュリティ属性が設定されます。この問題により、同じカテゴリのビットマップをSELinuxにインポートする際に、NULLポインターデリファレンスの問題が発生します。この欠陥により、リモートのネットワークユーザーがシステムカーネルをクラッシュさせ、サービス拒否を引き起こす可能性があります。(CVE-2020-10711)

- 4.2.8p14 より前と 4.3.100 より前の 4.3.x の ntp の ntpd により、オフパス攻撃者は、偽装したソース IP アドレスを持つサーバーモードパケットを介して、認証されていない同期をブロックする可能性があります。これは、パケットに有効な元のタイムスタンプがない場合でも送信が再スケジュールされるためです。(CVE-2020-11868)

- 1.12.18より前のAdbus >= 1.3.0に問題が発見されました。dbus-daemonで使用されるlibdbusのDBusServerは、メッセージがメッセージごとのファイル記述子の制限を超えると、ファイル記述子を漏洩します。D-Busシステムバスまたは別のシステムサービスのプライベートAF_UNIXソケットへのアクセス権を持つローカルの攻撃者がこれを利用して、システムサービスをファイル記述子の制限に到達するようにさせ、後続のD-Busクライアントへのサービスを拒否する可能性があります。(CVE-2020-12049)

- 5.6.13以前のLinuxカーネルのVFIO PCIドライバーは、誤って無効なメモリ空間へのアクセスを試みます。(CVE-2020-12888)

- 4.2.8p14 より前と 4.3.100 より前の 4.3.x の ntp の ntpd により、リモート攻撃者は、偽装したパケットで使用する送信タイムスタンプを予測することによって、サービス拒否 (デーモン終了またはシステム時間の変更) を引き起こす可能性があります。被害者は、認証されていないIPv4タイムソースに依存している必要があります。被害者のntpdインスタンスに時間を問い合わせることができるオフパス攻撃者が存在する必要があります。(CVE-2020-13817)

- Oracle Java SE の Java SE、Java SE Embedded 製品の脆弱性 (コンポーネント:ライブラリ )。サポートされているバージョンで影響を受けるのは、Java SE: 8u251、11.0.7および14.0.1、Java SE Embedded: 8u251。悪用が難しい脆弱性ですが、認証されていない攻撃者が複数のプロトコルを介してネットワークにアクセスし、Java SE、Java SE Embedded を侵害する可能性があります。この脆弱性に対する攻撃が成功すると、Java SE、Java SE Embedded がアクセス可能な一部のデータが権限なしで更新、挿入または削除され、Java SE、Java SE Embedded がアクセス可能なデータサブセットへの権限のない読み取りアクセスが可能になる可能性があります。注: クライアントとサーバーへの Java のデプロイメントが対象です。この脆弱性は、サンドボックス化された Java Web Start アプリケーションと Java アプレットを通じて悪用される可能性があります。また、サンドボックス化されたJava Web Startアプリケーションやサンドボックス化されたJavaアプレットを、たとえばWebサービス経由で使用せずに、指定されたコンポーネントのAPIにデータを提供することでも悪用される可能性があります。CVSS 3.1ベーススコア4.8 (機密性と整合性への影響 ) CVSS Vector:
(CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:L/I:L/A:N ) 。(CVE-2020-14556 )

- Oracle Java SEのJava SE、Java SE Embedded製品の脆弱性 (コンポーネント:JSSE)。サポートされているバージョンで影響を受けるのは、Java SE: 7u261、8u251、11.0.7および 14.0.1、Java SE Embedded:8u251。
悪用が難しい脆弱性ですが、認証されていない攻撃者がTLSを介してネットワークにアクセスし、Java SE、Java SE Embedded を侵害する可能性があります。この脆弱性に対する攻撃が成功すると、Java SE、Java SE Embedded がアクセスできるデータのサブセットに対して、権限なしで読み取りアクセスされる可能性があります。注: クライアントとサーバーへの Java のデプロイメントが対象です。この脆弱性は、サンドボックス化された Java Web Start アプリケーションと Java アプレットを通じて悪用される可能性があります。また、サンドボックス化されたJava Web Startアプリケーションやサンドボックス化されたJavaアプレットを、たとえばWebサービス経由で使用せずに、指定されたコンポーネントのAPIにデータを提供することでも悪用される可能性があります。CVSS 3.1ベーススコア3.7 (機密性に影響 ) CVSS Vector:
(CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:L/I:N/A:N ) 。(CVE-2020-14577 )

- Oracle Java SEのJava SE、Java SE Embedded製品の脆弱性 (コンポーネント:ライブラリ )。サポートされているバージョンで影響を受けるのは、Java SE: 7u261および8u251、Java SE Embedded: 8u251。悪用が難しい脆弱性ですが、認証されていない攻撃者が複数のプロトコルを介してネットワークにアクセスし、Java SE、Java SE Embedded を侵害する可能性があります。この脆弱性への攻撃が成功すると、Java SEおよびJava SE Embeddedの部分的なサービス拒否 (部分的DOS ) が権限なしで引き起こされる可能性があります。注意: クライアントとサーバーへの Java のデプロイメントが対象です。この脆弱性は、サンドボックス化された Java Web Start アプリケーションと Java アプレットを通じて悪用される可能性があります。また、サンドボックス化されたJava Web Startアプリケーションやサンドボックス化されたJavaアプレットを、たとえばWebサービス経由で使用せずに、指定されたコンポーネントのAPIにデータを提供することでも悪用される可能性があります。CVSS 3.1ベーススコア 3.7(可用性に影響) CVSS Vector:
(CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:N/A:L ) 。(CVE-2020-14578、CVE-2020-14579 )

- Oracle Java SEのJava SE、Java SE Embedded製品の脆弱性 (コンポーネント: ライブラリ )。サポートされているバージョンで影響を受けるのは、Java SE: 7u261、8u251、11.0.7および 14.0.1、Java SE Embedded:8u251。
悪用が難しい脆弱性ですが、認証されていない攻撃者が複数のプロトコルを介してネットワークにアクセスし、Java SE、Java SE Embedded を侵害する可能性があります。攻撃を成功させるには攻撃者以外の人間の関与が必要であり、脆弱性が存在するのはJava SE、Java SE Embeddedであるものの、攻撃が他の製品に大きな影響を与える可能性があります。この脆弱性に対する攻撃が成功すると、Java SEおよびJava SE Embeddedの乗っ取りが発生する可能性があります。注意:この脆弱性は、通常、サンドボックス化された Java Web Start アプリケーションまたはサンドボックス化された Java アプレットを実行しているクライアントで信頼できないコード (インターネットからのコードなど) を読み込んで実行し、セキュリティを Java サンドボックスに依存する Java デプロイメントが対象です。この脆弱性は、通常サーバーで信頼できるコード (管理者がインストールしたコードなど) のみを読み込んで実行するJavaデプロイメントを対象としていません。CVSS 3.1ベーススコア 8.3(機密性、整合性、可用性の影響) CVSS Vector: (CVSS:3.1/AV:N/AC:H/PR:N/UI:R/S:C/C:H/I:H/A:H ) 。(CVE-2020-14583 )

- Oracle Java SEのJava SE、Java SE Embedded製品の脆弱性 (コンポーネント:2D)。サポートされているバージョンで影響を受けるのは、Java SE:7u261、8u251、11.0.7および 14.0.1、Java SE Embedded:8u251。容易に悪用可能な脆弱性を利用して、認証されていない攻撃者が複数のプロトコルを介してネットワークにアクセスし、Java SEやJava SE Embedded を侵害する可能性があります。攻撃を成功させるには攻撃者以外の人間の関与が必要であり、脆弱性が存在するのはJava SE、Java SE Embeddedであるものの、攻撃が他の製品に大きな影響を与える可能性があります。この脆弱性に対する攻撃が成功すると、重要なデータや Java SE、Java SE Embedded がアクセスできるすべてのデータが権限なしで作成、削除、変更される可能性があります。注意:
この脆弱性は、通常、サンドボックス化された Java Web Start アプリケーションまたはサンドボックス化された Java アプレットを実行しているクライアントで信頼できないコード (インターネットからのコードなど) を読み込んで実行し、セキュリティを Java サンドボックスに依存する Java デプロイメントが対象です。この脆弱性は、通常サーバーで信頼できるコード (管理者がインストールしたコードなど) のみを読み込んで実行するJavaデプロイメントを対象としていません。CVSS 3.1ベーススコア7.4 (整合性への影響) CVSS Vector:
(CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:C/C:N/I:H/A:N ) 。(CVE-2020-14593 )

- Oracle Java SEのJava SE、Java SE Embedded製品の脆弱性 (コンポーネント:JAXP)。サポートされているバージョンで影響を受けるのは、Java SE: 7u261、8u251、11.0.7および 14.0.1、Java SE Embedded:8u251。容易に悪用可能な脆弱性を利用して、認証されていない攻撃者が複数のプロトコルを介してネットワークにアクセスし、Java SEやJava SE Embedded を侵害する可能性があります。この脆弱性に対する攻撃が成功すると、Java SE、Java SE Embedded がアクセスできるデータの一部が、権限なしで更新、挿入、削除される可能性があります。注:この脆弱性は、信頼できないJava Web Startアプリケーションや信頼できないJavaアプレットを、たとえばWebサービスを介して使用せずに、指定されたコンポーネントのAPIにデータを提供することでのみ悪用される可能性があります。CVSS 3.1ベーススコア5.3(整合性への影響) CVSS Vector: (CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:L/A:N)。
(CVE-2020-14621)

Nessus はこれらの問題をテストしておらず、代わりにアプリケーションの自己報告されたバージョン番号にのみ依存しています。

ソリューション

Nutanix AOS ソフトウェアを推奨バージョンに更新してください。

関連情報

https://download.nutanix.com/advisories/NXSA-AOS-5-17-1-5.html

プラグインの詳細

深刻度: High

ID: 164579

ファイル名: nutanix_NXSA-AOS-5_17_1_5.nasl

バージョン: 1.2

タイプ: local

ファミリー: Misc.

公開日: 2022/9/1

更新日: 2022/9/1

リスク情報

VPR

リスクファクター: High

スコア: 8.1

CVSS v2

リスクファクター: High

Base Score: 7.2

Temporal Score: 5.3

ベクトル: AV:L/AC:L/Au:N/C:C/I:C/A:C

現状ベクトル: E:U/RL:OF/RC:C

CVSS スコアのソース: CVE-2017-18595

CVSS v3

リスクファクター: High

Base Score: 8.3

Temporal Score: 7.2

ベクトル: CVSS:3.0/AV:N/AC:H/PR:N/UI:R/S:C/C:H/I:H/A:H

現状ベクトル: E:U/RL:O/RC:C

CVSS スコアのソース: CVE-2020-14583

脆弱性情報

CPE: cpe:/o:nutanix:aos

必要な KB アイテム: Host/Nutanix/Data/lts, Host/Nutanix/Data/Service, Host/Nutanix/Data/Version, Host/Nutanix/Data/arch

エクスプロイトの容易さ: No known exploits are available

パッチ公開日: 2022/8/24

脆弱性公開日: 2019/9/4

参照情報

CVE: CVE-2017-18595, CVE-2019-19768, CVE-2020-10711, CVE-2020-11868, CVE-2020-12049, CVE-2020-12888, CVE-2020-13817, CVE-2020-14556, CVE-2020-14577, CVE-2020-14578, CVE-2020-14579, CVE-2020-14583, CVE-2020-14593, CVE-2020-14621